@ECHO OFF
ECHO IEFavSrt.bat,  Version 1.00 for Windows 2000
ECHO Make Internet Explorer automatically sort its favorites
ECHO folders by deleting the "Order" value from the registry key
ECHO "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Favorites"
ECHO.
ECHO Usage:  IEFAFSRT
ECHO.
ECHO Notes:  Idea from PC Advisor magazine (http://www.pcadvisor.co.uk).
ECHO         Tested in Windows 2000 Professional only.
ECHO         Requires REG.EXE, available in Windows 2000 or the NT 4 Resource Kits.
ECHO.
ECHO Written by Rob van der Woude
ECHO http://www.robvanderwoude.com
ECHO.
:: Check Windows version
IF NOT "%OS%"=="Windows_NT" GOTO End
VER | FIND.EXE "Windows 2000" >NUL
IF ERRORLEVEL 1 GOTO End
:: Abort if any command line argument was passed
IF NOT "%~1"=="" GOTO End
:: Check version of REG.EXE
REG.EXE 2>&1 | FIND.EXE "Windows 2000" >NUL
IF ERRORLEVEL 1 GOTO End
:: The actual command
REG.EXE Delete "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Favorites" /V "Order"
:End
:: Done
